## org.exist.xquery
Class TerminatedException.SizeLimitException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.exist.xquery.XPathException
                  org.exist.xquery.TerminatedException
                      org.exist.xquery.TerminatedException.SizeLimitException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  TerminatedException

public static final class TerminatedException.SizeLimitException
extends TerminatedException

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.exist.xquery.TerminatedException
`TerminatedException.SizeLimitException, TerminatedException.TimeoutException`

Constructor Summary
`TerminatedException.SizeLimitException(XQueryAST ast, java.lang.String message)`

Methods inherited from class org.exist.xquery.XPathException
`addFunctionCall, getColumn, getDetailMessage, getLine, getMessage, getMessageAsHTML, prependMessage, setASTNode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TerminatedException.SizeLimitException

    public TerminatedException.SizeLimitException(XQueryAST ast,
                                                  java.lang.String message)

Copyright (C) Wolfgang Meier. All rights reserved.